import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/t_h_o_a_labour_review_table_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/t_h_o_a_labour_review_table_entity.g.dart';

@JsonSerializable()
class THOALabourReviewTableEntity {
	int total = 0;
	List<THOALabourReviewTableRows> rows = [];

	THOALabourReviewTableEntity();

	factory THOALabourReviewTableEntity.fromJson(Map<String, dynamic> json) => $THOALabourReviewTableEntityFromJson(json);

	Map<String, dynamic> toJson() => $THOALabourReviewTableEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class THOALabourReviewTableRows {
	@JSONField(name: "record_id")
	String? recordId;
	@JSONField(name: "order_id")
	String? orderId;
	@JSONField(name: "request_id")
	String? requestId;
	@JSONField(name: "status_show")
	String? statusShow;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "source_show")
	String? sourceShow;
	@JSONField(name: "job_date")
	String? jobDate;
	@JSONField(name: "outlet_name")
	String? outletName;
	@JSONField(name: "job_title")
	String? jobTitle;
	@JSONField(name: "hourly_rate")
	String? hourlyRate;
	@JSONField(name: "start_time")
	String? startTime;
	@JSONField(name: "end_time")
	String? endTime;
	@JSONField(name: "hiring_num")
	int? hiringNum;
	@JSONField(name: "att_num")
	int? attNum;
	@JSONField(name: "position_name")
	String? positionName;
	@JSONField(name: "is_ot")
	int? isOt;

	bool isSelected = false;

	THOALabourReviewTableRows();

	factory THOALabourReviewTableRows.fromJson(Map<String, dynamic> json) => $THOALabourReviewTableRowsFromJson(json);

	Map<String, dynamic> toJson() => $THOALabourReviewTableRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}